## buildlog-consultant 0.0.12

=== debian/changelog ===
buildlog-consultant (0.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:15:52 +0100

buildlog-consultant (0.0.10-1) unstable; urgency=low

  * New upstream release.
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 May 2021 18:56:40 +0100

buildlog-consultant (0.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Apr 2021 17:34:32 +0100

buildlog-consultant (0.0.8-1) unstable; urgency=low

  * New upstream release.
   + Fixes sbuild log section parsing. Closes: #986444

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Apr 2021 17:35:44 +0100

buildlog-consultant (0.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Apr 2021 20:31:23 +0100

buildlog-consultant (0.0.5-1) unstable; urgency=medium

  * Add upstream signing keys.
  * Set Vcs-Git headers.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 16:48:52 +0000

buildlog-consultant (0.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Feb 2021 15:26:16 +0000

buildlog-consultant (0.0.1~git20210205.7134c35-1) unstable; urgency=low

  * Initial release. Closes: #982271

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Feb 2021 00:55:19 +0000

## buildlog-consultant 0.0.21

=== Makefile ===
all: check flake8 mypy

check:
	python3 setup.py test

flake8:
	flake8

mypy:
	python3 -m mypy buildlog_consultant

## buildlog-consultant 0.0.18

=== debian/changelog ===
buildlog-consultant (0.0.18-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Feb 2022 00:53:15 +0000

buildlog-consultant (0.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 15:39:58 +0000

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-debian, python3-yaml, python3-requirement-parser
Source: buildlog-consultant
Priority: optional
Section: python
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://github.com/jelmer/buildlog-consultant
Vcs-Git: https://salsa.debian.org/jelmer/buildlog-consultant.git
Vcs-Browser: https://salsa.debian.org/jelmer/buildlog-consultant

Package: python3-buildlog-consultant
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-debian, python3-yaml, python3-requirement-parser
Description: build log parser and analyser
 buildlog-consultant can parse build logs and highlight and extract the key
 error lines. This can be used to extract a snippet from a build log with the
 core problem.

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @, python3-setuptools
Restrictions: allow-stderr

## buildlog-consultant 0.0.21

=== debian/changelog ===
buildlog-consultant (0.0.21-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Jelmer Vernooĳ ]
  * Ignore source changes to buildlog_consultant.egg-info/. Closes:
    #1043818

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Aug 2023 15:56:03 +0100

buildlog-consultant (0.0.21-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Apr 2022 19:38:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-debian, python3-yaml, python3-requirement-parser
 Source: buildlog-consultant
 Priority: optional

## buildlog-consultant 0.0.34

=== Makefile ===
export PYTHON=python3

all: check

build-inplace:
	$(PYTHON) setup.py build_ext --inplace

check:: testsuite

testsuite: build-inplace
	$(PYTHON) -m unittest tests.test_suite

check:: style

style:
	flake8

check:: typing

typing: build-inplace
	$(PYTHON) -m mypy buildlog_consultant

=== debian/changelog ===
buildlog-consultant (0.0.34-1ubuntu1) noble; urgency=medium

  * Fix ftbfs with current pyo version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 23:47:55 +0100

buildlog-consultant (0.0.34-1build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:34 +0100

buildlog-consultant (0.0.34-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:03:50 +0000

buildlog-consultant (0.0.34-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Sep 2023 20:07:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-debian, python3-yaml, python3-requirement-parser
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-debian, python3-yaml, python3-requirement-parser, python3-setuptools-rust, librust-pyo3-dev, librust-pyo3-file-dev, librust-pyo3-log-dev, librust-shlex-dev
 Source: buildlog-consultant
 Priority: optional
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	for I in . buildlog-consultant-py; do test -f Cargo.lock.orig && mv $$I/Cargo.lock.orig $$I/Cargo.lock; done; true
	dh_auto_clean

override_dh_auto_build:
	for I in . buildlog-consultant-py; do test -f Cargo.lock && mv $$I/Cargo.lock $$I/Cargo.lock.orig; done; true
	dh_auto_build

=== debian/watch ===
version=4
https://pypi.debian.net/buildlog-consultant/buildlog-consultant-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## buildlog-consultant 0.0.37

=== Makefile ===
export PYTHON=python3

all: check

build-inplace:
	$(PYTHON) setup.py build_ext --inplace

check:: testsuite

testsuite: build-inplace
	PYTHONPATH=$(shell pwd)/py $(PYTHON) -m unittest tests.test_suite

check:: cargo-test

cargo-test:
	cargo test

check:: style

style:
	ruff check py

check:: typing

typing: build-inplace
	$(PYTHON) -m mypy py/buildlog_consultant

=== debian/changelog ===
buildlog-consultant (0.0.37-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Jun 2024 17:25:56 +0100

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               librust-debversion-dev,
               librust-fancy-regex-dev,
               librust-pyo3-dev,
               librust-pyo3-file-dev,
               librust-pyo3-filelike-dev,
               librust-pyo3-log-dev,
               librust-shlex-dev,
               librust-text-size-dev,
               librust-textwrap-dev,
               python3-all,
               python3-debian,
               python3-requirement-parser,
               python3-setuptools,
               python3-setuptools-rust,
               python3-yaml
Source: buildlog-consultant
Priority: optional
Section: python
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://github.com/jelmer/buildlog-consultant
Vcs-Git: https://salsa.debian.org/jelmer/buildlog-consultant.git
Vcs-Browser: https://salsa.debian.org/jelmer/buildlog-consultant

Package: python3-buildlog-consultant
Architecture: any
Depends: python3-debian,
         python3-requirement-parser,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: build log parser and analyser
 buildlog-consultant can parse build logs and highlight and extract the key
 error lines. This can be used to extract a snippet from a build log with the
 core problem.
